import { ModelConditionUtil, ModelConditionUtilImpl, FieldConditionUtil, TableUtilImpl } from 'model-util';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-05-25 17:10
 */
interface BmBusinessScope {
    id: string;
    name: string;
    description: string;
    createTime: Date;
    updateTime: Date;
}
interface BmBusinessScopeMCU extends ModelConditionUtil<BmBusinessScopeMCU> {
    ID: FieldConditionUtil<BmBusinessScopeMCU>;
    NAME: FieldConditionUtil<BmBusinessScopeMCU>;
    DESCRIPTION: FieldConditionUtil<BmBusinessScopeMCU>;
    CREATE_TIME: FieldConditionUtil<BmBusinessScopeMCU>;
    UPDATE_TIME: FieldConditionUtil<BmBusinessScopeMCU>;
}
declare class BmBusinessScopeMCUImpl extends ModelConditionUtilImpl<BmBusinessScopeMCUImpl> implements BmBusinessScopeMCU {
    newInstance(): BmBusinessScopeMCUImpl;
    private _ID;
    get ID(): FieldConditionUtil<BmBusinessScopeMCU>;
    private _NAME;
    get NAME(): FieldConditionUtil<BmBusinessScopeMCU>;
    private _DESCRIPTION;
    get DESCRIPTION(): FieldConditionUtil<BmBusinessScopeMCU>;
    private _CREATE_TIME;
    get CREATE_TIME(): FieldConditionUtil<BmBusinessScopeMCU>;
    private _UPDATE_TIME;
    get UPDATE_TIME(): FieldConditionUtil<BmBusinessScopeMCU>;
}
declare class BmBusinessScopeMU extends TableUtilImpl<BmBusinessScopeMCU, BmBusinessScope> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    selectSQL: string;
    createModelConditionUtil(): BmBusinessScopeMCU;
    private static _ID;
    static get ID(): FieldConditionUtil<BmBusinessScopeMCU>;
    private static _NAME;
    static get NAME(): FieldConditionUtil<BmBusinessScopeMCU>;
    private static _DESCRIPTION;
    static get DESCRIPTION(): FieldConditionUtil<BmBusinessScopeMCU>;
    private static _CREATE_TIME;
    static get CREATE_TIME(): FieldConditionUtil<BmBusinessScopeMCU>;
    private static _UPDATE_TIME;
    static get UPDATE_TIME(): FieldConditionUtil<BmBusinessScopeMCU>;
}
export { BmBusinessScopeMCU, BmBusinessScopeMCUImpl, BmBusinessScope, BmBusinessScopeMU };
